Subject: [Pana] Issue 198: Two PANA sessions for IPv4 and IPv6

From: "Mohan Parthasarathy" <[email-masked]>
Date: Tue, 15 Nov 2005 18:43:15 -0800

> >  Regardless of whether the PaC has both IPv4 and IPv6 PRPAs or only
> >  one of those, only one PANA run is required.  A dual-stack device
> >  that implements PaC or PAA MUST be able to run PANA over both IPv4
> >  and IPv6.  When a dual-stack PaC or PAA initiates PANA
> >  authentication, it chooses either IPv4 or IPv6 where the choice is
> >  made depending on the deployment.  A dual-stack PaC or PAA that is
> >  initiated PANA authentication by its peer MUST use the same IP
> >  version that the peer is using.
> > 
> >
> Is it concievable that the PANA options for IPv6 need to be different 
> than IPv4? I'm wondering if you might would rather have these run 
> separately rather than one PANA session for both.

I am not sure i understood the last sentence. I guess the question is whether
we need a separate run for IPv4 and IPv6 is required as the above text suggests
that one run is sufficient.

PANA is authenticating the device for network access  which has
an identity other than the IP address. The IP address (PRPA) is just
an extra detail so that the PANA packets can be carried over IP.
But currently in the L2 authentication method, the calling station-id
(which is the equivalent of IP address) is sent to the AAA server.
Whatever way it is used there, i don't know wether it makes sense
here because the IP address used to gain access is temporary in
most cases. In some cases e.g. DSL networks where this IP
address is static, it might have some significance. But for IPv6,
this does not make sense. Also, the address configured after
authentication (POPA) is not relevant here i guess.

There may also be restriction on the AAA side on how many
sessions can the user have at any time ? Normally, i would
assume that each user can have just one session. So, running
multiple PANA runs may not be a good idea.

Any comments from others ?

-mohan

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana

---

From: "Alper Yegin" <[email-masked]>
Date: Sun, 20 Nov 2005 01:12:41 +0200

I agree that we don't need to run one PANA session per IP version, for
the reasons you listed below.

Alper

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of
> Mohan Parthasarathy
> Sent: Wednesday, November 16, 2005 4:43 AM
> To: [email-masked]
> Subject: [Pana] Issue 198: Two PANA sessions for IPv4 and IPv6
>